concrete5 sérülékenységek

CH azonosító

CH-7520

Angol cím

concrete5 Multiple Vulnerabilities

Felfedezés dátuma

2012.09.04.

Súlyosság

Alacsony

Érintett rendszerek

N/A
concrete5

Érintett verziók

concrete5 5.x

Összefoglaló

A concrete5 sérülékenységeit jelentették, amelyeket kihasználva rosszindulatú felhasználók script beszúrásos (script insertion) és SQL befecskendezéses (SQL injection) támadást hajthatnak végre, valamint támadók megkerülhetnek egyes biztonsági szabályokat és hamisításos illetve cross-site scripting (XSS/CSS) támadásokat hajthatnak végre.

Leírás

  1. Bizonyos űrlap blokkal kapcsolatos bemeneti adat nincsen megfelelően ellenőrizve, mielőtt felhasználók átirányításához használnák. Ezt kihasználva egy felhasználót tetszőleges weboldalra lehet átirányítani, ha például egy megbízható domain-ről kiszolgált, az érintett scriptre mutató, különlegesen kialakított linkre kattint.
  2. Amennyiben az “fID” értéke érvényes, az alkalmazás nem megfelelően korlátozza a hozzáférést az index.php/tools/required/files/properties állományhoz. Ezt kihasználva kinyerhető egy fájl URL és letölthető egy egyébként korlátozott elérésű feltöltött fájl.
    A sikeres kihasználáshoz hozzáférés szükséges a “File Properties” tulajdonsághoz (alapértelmezetten engedélyezve van a “Guest” felhasználóknak).
  3. Bizonyos swfuploaddal kapcsolatos bemeneti adat nincs megfelelően megtisztítva, mielőtt visszakerül a felhasználóhoz. Ez kihasználható tetszőleges HTML és script kód futtatására a felhasználó böngésző munkamenetében, az érintett oldallal kapcsolatosan.
  4. A szerkesztési módhoz köthető bizonyos bemeneti adat nincs megfelelően megtisztítva, mielőtt felhasználnák. Ez kihasználható tetszőleges HTML és script kód befecskendezésére, ami a felhasználó böngésző munkamenetében, az érintett oldallal kapcsolatosan fog lefutni kártékony tartalom megtekintése esetén.
  5. Az Autonav Preview felületnek átadott bizonyos bemeneti adat nincs megfelelően megtisztítva, mielőtt SQL lekérdezésekben használnák. Ez kihasználható az SQL lekérdezések módosítására tetszőleges kód befecskendezésével.

A sebezhetőségeket az 5.6.0 előtti verziókban jelentették.

Megoldás

Frissítsen a legújabb verzióra